﻿// ================================================ =============================
//Z_Wolfzq_Round.js
// ================================================ =============================

/*:
 * @plugindesc wolfzq追加周目控制 
 * @author wolfzq
 */


/*增加全局参数*/
var $wolfzqRound = null;

//-----------------------------------------------------------------------------
// Wolfzq_Round
function Wolfzq_Round() {
    this.initialize.apply(this, arguments);
}

Wolfzq_Round.prototype.initialize = function() {
	this.mnq = ['mnqmt1', 'mnqmt2', 'mnqny1'];
	this.dg = ['dgxizao', 'dgziwei', 'dgyexi', 'dgyexi2', 'dgniangjiu', 'dgjiutong', 'dgdaojiu1', 'dgdaojiu2', 'dgzhajiu1'];
	this.wl = ['wllaofang', 'wlmeihuo', 'wlxianji', 'wlhuifu', 'wlhuifu2', 'wlhuifu3', 'wlzuduan', 'wlend1'];
};

//通用脚本
Wolfzq_Round.prototype.init = function(w, type) {
	var len = type.length;
	for (var i = 0; i < len; i++) {
		w._allNum[type[i]] = 0;
	}
}
//获得最后通关的综合数据
Wolfzq_Round.prototype.round = function(type) {
	var len = type.length;
	for (var i = 0; i < len; i++) {
		var num = type[i];
		$w._allNum[num] = $w._allOldNum[num];
	}
}

//魔女犬
Wolfzq_Round.prototype.initGMNQ = function(w) {
	this.init(w, this.mnq);
};
//帝国
Wolfzq_Round.prototype.initGDG = function(w) {
	this.init(w, this.dg);
};
//亡灵
Wolfzq_Round.prototype.initGWL = function(w) {
	this.init(w, this.wl);
};

(function() {
	$wr = new Wolfzq_Round();
})();