//基本数值为装备编号，id为图包编号,level为身体判定等级，up为进阶标准（注意，进阶即使只有一个变化，也需要全部文件更换）
//1: {'id': 1, 'level':50, 'bodyType':[1, 2, 3, 4], 'cloth':[1, 2, 3, 4], 'skirt':[1, 2, 3, 4], 'cape':[1, 2, 3, 4], 'breast':[1, 2], 'breastType':'b', 'gravidity': [1, 2, 3], 'gravidityType':'g', 'up':['v1', 'v2']},
//'v99'为契约反噬模式，是剧情专用模式。
var $cloth = {
	6: {'id': 1, 'level':50, 'bodyType':[1, 2, 3, 4], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[0, 1]},
	10: {'id': 2, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[2, 0], 'hair':[2, 3], 'cloth':[99], 'skirt':[], 'cape':[], 'up':[], 'm':[0, 2]},
	20: {'id': 3, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 0], 'hair':[2, 3], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[0, 3]},
	26: {'id': 4, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 1], 'hair':[2, 3], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[0, 3]},
	27: {'id': 5, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 1], 'hair':[2, 3], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[0, 2]},
	30: {'id': 6, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 5], 'hair':[2, 3], 'cloth':[2, 4, 99], 'skirt':[], 'cape':[], 'up':['v1'], 'm':[0, 3]},
	34: {'id': 9, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':[1, 1], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':['v1'], 'm':[0, 9]},
	40: {'id': 7, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6], 'tile':[2, 1], 'hair':[2, 3], 'cloth':[99], 'skirt':[], 'cape':[], 'up':[], 'm':[0, 3]},
	45: {'id': 8, 'level':50, 'bodyType':[1, 2, 3, 4, 5, 6, 8], 'tile':[2, 2], 'hair':[2, 3], 'cloth':[1, 2, 3, 4, 8, 99], 'skirt':[8, 99], 'cape':[3, 4, 8, 99], 'ucape':[8, 99], 'up':['v99'], 'm':[0, 4]},
	101: {'id': 51, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 0], 'hair':[], 'cloth':[1, 2, 3, 4, 5], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 11]},
	102: {'id': 52, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 1], 'hair':[], 'cloth':[1, 2, 3, 4, 5], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 11]},
	106: {'id': 53, 'level':50, 'bodyType':[1, 2, 3], 'tile':['c1', 2], 'hair':[], 'cloth':[2, 99], 'skirt':[99], 'cape':[], 'up':['v1'], 'm':[1, 12]},
	113: {'id': 55, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 4], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 13]},
	118: {'id': 57, 'level':50, 'bodyType':[1, 2, 3, 4, 5], 'tile':['c1', 5], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 14]},
	126: {'id': 59, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c1', 6], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 15]},
	127: {'id': 60, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c1', 6], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 15]},
	135: {'id': 61, 'level':50, 'bodyType':[3, 1, 2, 4], 'tile':['c1', 7], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 16]},
	139: {'id': 62, 'level':50, 'bodyType':[2, 1, 3, 4], 'tile':['c1', 7], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 16]},
	143: {'id': 63, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 5], 'hair':[], 'cloth':[1, 2, 3, 4], 'skirt':[], 'cape':[], 'up':[], 'm':[1, 5]},
	201: {'id': 101, 'level':50, 'bodyType':[1, 2, 3, 4], 'tile':['c2', 4], 'hair':[], 'cloth':[99], 'skirt':[99], 'cape':[], 'up':[], 'm':[1, 24]},
};

//大乳+b
var $clothBreast = [2, 3, 4, 6, 7, 8, 51, 52, 53, 55, 57, 59, 60, 61, 62, 63, 101, 103];

//大肚+g，能大肚的一定支持大乳所以+bg
var $clothGravidity = [2, 3, 4, 6, 8, 51, 52, 53, 55, 57, 59, 60, 61, 62, 63, 101, 103];

//超大肚+g2，能大肚的一定支持大乳所以+bg2
var $clothGravidity2 = [2];

//暴露外套
var $noCloth = [7, 8, 27, 53, 101];

//套装列表
var $systemCloth = [
	null,
	{'id': 1, 'name': '公主套装', 'value': [0,0,25,0,20,21,22,23,0,24,1,0,0,0]},
	{'id': 2, 'name': '魅魔套装', 'value': [0,0,0,0,10,11,12,13,0,14,1,15,0,16]},
	{'id': 3, 'name': '魔发套装', 'value': [0,0,0,0,40,41,42,43,0,0,1,0,0,0]},
	{'id': 4, 'name': '亡灵套装', 'value': [0,0,0,0,45,46,47,48,0,0,1,0,49,0]},
	{'id': 5, 'name': '', 'value': []},
	{'id': 6, 'name': '', 'value': []},
	{'id': 7, 'name': '', 'value': []},
	{'id': 8, 'name': '', 'value': []},
	{'id': 9, 'name': '', 'value': []},
	{'id': 10, 'name': '', 'value': []},
	{'id': 11, 'name': '', 'value': []},
	{'id': 12, 'name': '', 'value': []},
	{'id': 13, 'name': '', 'value': []},
	{'id': 14, 'name': '', 'value': []},
	{'id': 15, 'name': '', 'value': []},
	{'id': 16, 'name': '', 'value': []},
	{'id': 17, 'name': '', 'value': []},
	{'id': 18, 'name': '', 'value': []},
	{'id': 19, 'name': '', 'value': []},
	{'id': 20, 'name': '', 'value': []},
	{'id': 21, 'name': '睡衣套装', 'value': [0,0,0,0,26,0,0,0,0,0,1,0,0,0]},
	{'id': 22, 'name': '女仆套装', 'value': [0,0,33,0,30,31,0,32,0,0,1,0,0,0]},
];