//CG数据库
//命名规则，CG为套图加载规则，调用CG对象名，系统就会按照对象涵盖的CG内容进行加载，所有在系统中显示的CG都必需计入CG库
//加载规则，CG加载时，会对比2张CG之间的差别，进行差分加载，缺少的图层会渐变加入，相同的图层不会做任何操作，多余的图层会渐变消失
//特殊操作CG允许手工调整

//this.cgInit();					初始化
//this.cgLoad('pic001', 0);			加载pic001，CG1
//this.picsChange2();				渐变0.5秒显示CG变化等待按键
//this.picsChange2NM();				渐变0.5秒显示CG变化无按键操作
//this.picsOut(30);					渐变0.5秒隐藏所有CG,
//this.picsDel();					删除所有CG

var $wcgCounts = {
};

var $wcgs = {
	/*格式
	'picXXX':{
		0:['', '', '', '', '', '', '', '', '', ''], 1:['', '', '', '', '', '', '', '', '', ''], 2:['', '', '', '', '', '', '', '', '', ''], 
		3:['', '', '', '', '', '', '', '', '', ''], 4:['', '', '', '', '', '', '', '', '', ''],
	}, */
	
	'pic001':{
		0:['', '1_1'], 1:['', '1_1', '2_1'], 2:['', '1_1', '2_1v'], 
		3:['', '', '2_2', '3_1', '4_1', '5_1', '6_1', '', '8_1'], 
		4:['', '1_2', '2_2', '3_1', '4_1', '5_1', '6_1', '', '8_1'], 5:['', '1_2', '2_2', '3_1', '4_1', '5_1', '6_1', '7_1', '8_1'], 6:['', '1_2', '2_2', '3_1', '4_1', '5_1', '6_1', '7_1', '8_1', '9_1'],
		7:['', '1_2v', '2_2', '3_1', '4_1', '5_1', '6_1', '', '8_1'], 8:['', '1_2v', '2_2', '3_1', '4_1', '5_1', '6_1', '7_1', '8_1'], 9:['', '1_2v', '2_2', '3_1', '4_1', '5_1', '6_1', '7_1', '8_1', '9_1v'],
	},
	
	'pic010':{
		0:['', '1_1', '', '4_1', '', '', '', '7_1v', '8_1'], 1:['', '1_2', '', '4_1', '', '', '', '7_1v', '8_1'], 2:['', '1_1', '', '4_1', '5_2', '', '', '7_1v', '8_1'], 
		3:['', '1_1', '', '4_1', '5_2', '', '6_2', '7_1v', '8_1'], 4:['', '1_1', '', '4_1', '5_3', '6_1v', '6_2', '7_1v', '8_2'], 
		5:['', '1_3', '', '', '4_1', '5_2', '6_3', '6_4'], 6:['', '1_5', '', '', '4_1', '5_2', '6_3', '6_4'], 7:['', '1_4', '', '', '4_1', '5_2', '', '6_5'],		
		8:['', '1_1', '2_1', '4_1', '6_1', '7_2', '8_3', '7_1', '8_1'], 9:['', '1_2', '2_1', '4_1', '6_1', '7_2', '8_3', '7_1', '8_1'], 10:['', '1_3', '2_1', '4_1', '6_3', '7_2', '8_3'],
		11:['', '1_5', '2_1', '4_1', '6_3', '7_2', '8_3'], 12:['', '1_4', '2_1', '4_1', '6_3', '7_2', '8_3'], 13:['', '1_2', '2_1', '4_1', '6_1', '7_2', '8_3'], 14:['', '1_1', '2_1', '4_1', '6_1', '7_2', '8_3'],
		15:['', '1_1', '2_1', '4_1', '6_1', '7_2', '8_3', '7_1v', '8_1'], 16:['', '1_1', '2_1', '4_1', '6_1', '7_2', '8_4', '7_1v', '8_1'], 17:['', '1_2', '2_1', '4_1', '6_1', '7_2', '8_5', '7_1v', '8_2'],
	},
	'pic011':{
		0:['', '1_1', '2_1', '', '', '5_1v', '6_1'], 1:['', '1_2', '2_1', '', '', '5_1v', '6_1'], 2:['', '1_1', '2_1', '', '', '5_1v', '6_1'], 
		3:['', '1_1', '2_1', '', '4_2', '5_1v', '6_1'], 4:['', '1_2', '2_1', '4_1v', '4_2', '5_1v', '6_2'], 
		5:['', '1_3', '2_1', '', '4_3', '4_4'],  6:['', '1_5', '2_1', '', '4_3', '4_4'], 7:['', '1_4', '2_1', '', '', '4_5'],		
	},
	'pic012':{
		0:['', '1_1', '', '3_1', '4_1', '', '6_1', '7_1', '8_1', '9_0'], 
		1:['', '1_1v', '2_1', '3_3', '4_2', '', '6_1', '7_7'], 2:['', '1_1v', '2_1', '3_2', '4_1', '5_1', '6_1', '7_7', '', '9_8'], 3:['', '1_1v', '2_1', '3_14', '4_1', '5_1', '6_1', '7_7', '', '9_9'], 
		4:['', '1_1v', '2_1', '3_14', '4_1', '5_1', '6_1', '7_7', '', '9_8v'], 5:['', '1_1v', '2_1', '3_14', '4_1', '5_1', '6_1', '7_7', '', '9_9v'], 6:['', '1_1v', '2_1', '3_7', '4_1', '5_2', '6_1', '7_7', '', '9_9v'], 
		7:['', '1_1v', '2_3', '3_9', '4_1', '5_1', '6_1', '7_7', '8_6', '9_10'], 8:['', '1_1v', '2_3', '3_13', '4_1', '5_1', '6_1', '7_8', '', '9_8v'], 9:['', '1_1v', '2_3', '3_12', '4_1', '5_1', '6_1', '7_8', '8_6', '9_0'], 
		10:['', '1_1', '2_2', '3_1', '4_1', '', '6_1', '7_1', '8_1', '9_0'], 
		11:['', '1_1', '', '3_1', '4_1', '', '6_1', '7_4'], 12:['', '1_1v', '', '3_1', '4_1', '', '6_1', '7_4'], 
		13:['', '1_1v', '', '3_16', '4_1', '', '6_1', '7_4'], 14:['', '1_1v', '', '3_17', '4_1', '5_1', '6_1', '7_4'], 
		15:['', '1_1v', '', '3_15', '4_1', '5_1', '6_1', '7_4'], 16:['', '1_1v', '', '3_14', '4_1', '5_1', '6_1', '7_4', '8_5'], 17:['', '1_1v', '2_2', '3_7', '4_1', '5_1', '6_1', '7_4', '8_6'], 
	},
	'pic013':{
		//ass1
		0:['', '1_1', '2_2', '', '4_1', '5_1', '6_2', '7_1'], 1:['', '1_1', '2_2', '', '4_4', '5_1', '6_2', '7_1'], 2:['', '1_1', '2_2', '', '4_3', '5_1', '6_2v1', '7_1'], 3:['', '1_1', '2_2', '', '4_6', '5_1', '6_2v1', '7_1'], 
		4:['', '1_1', '2_3', '', '4_7', '5_1', '6_2v2', '7_1'], 5:['', '1_1', '2_3', '3_2', '4_6', '5_1', '6_2v1', '7_1'], 6:['', '1_1', '2_3', '3_2', '4_2', '5_1', '6_2v1', '7_1'], 
		7:['', '1_2', '2_3', '3_2', '4_5', '5_1', '6_2v1', '7_2'], 8:['', '1_2', '2_3', '3_2', '4_2', '5_1', '6_2v1', '7_2'], 9:['', '1_2', '2_3', '3_2', '4_8', '5_1', '6_2v2', '7_2'], 
		10:['', '1_2', '2_3', '3_3', '4_5', '5_1', '6_2v1', '7_2'], 11:['', '1_2', '2_3', '3_3', '4_2', '5_1', '6_2v1', '7_2'], 12:['', '1_2', '2_3', '3_3', '4_8', '5_1', '6_2v2', '7_2'], 
		//sex1
		13:['', '1_1', '2_1', '', '4_1', '5_1', '6_1', '7_1'], 14:['', '1_1', '2_1', '', '4_4', '5_1', '6_1', '7_1'], 15:['', '1_1', '2_1', '', '4_3', '5_1', '6_1', '7_1'], 16:['', '1_1', '2_2', '', '4_6', '5_1', '6_1', '7_1'], 
		17:['', '1_1', '2_1', '', '4_7', '5_1', '6_1v1', '7_1'], 18:['', '1_1', '2_1', '3_1', '4_6', '5_1', '6_1', '7_1'], 19:['', '1_1', '2_1', '3_1', '4_2', '5_1', '6_1', '7_1'], 
		20:['', '1_2', '2_1', '3_1', '4_5', '5_1', '6_1', '7_2'], 21:['', '1_2', '2_1', '3_1', '4_2', '5_1', '6_1', '7_2'], 22:['', '1_2', '2_1', '3_1', '4_8', '5_1', '6_1v1', '7_2'], 
		23:['', '1_2', '2_1', '3_1', '4_5', '5_1', '6_1', '7_2'], 24:['', '1_2', '2_1', '3_1', '4_5', '5_1', '6_1', '7_2'], 25:['', '1_2', '2_1', '3_1', '4_8', '5_1', '6_1v1', '7_2'], 
		//亡灵结局用
		26:['', '1_1', '2_1', '', '4_1d', '5_1', '6_0'], 27:['', '1_1', '2_1', '', '4_2d', '5_1', '6_3'], 28:['', '1_1', '2_1', '', '4_3d', '5_1', '6_1'], 29:['', '1_2', '2_1', '', '4_3d', '5_1', '6_1'], 
		30:['', '1_1', '2_1', '', '4_4d', '5_1', '6_1'], 31:['', '1_2', '2_1', '', '4_4d', '5_1', '6_1'], 32:['', '1_1', '2_1', '', '4_6', '5_1', '6_1'], 33:['', '1_2', '2_1', '', '4_6', '5_1', '6_1'], 
		34:['', '1_1', '2_1', '3_1', '4_7d', '5_1', '6_1v1'], 35:['', '1_2', '2_1', '3_1', '4_7d', '5_1', '6_3v1'], 
	},
	'pic014':{
		0:['', '1_1', '', '', '4_1', '5_1', '', '7_1v'], 1:['', '1_1', '', '', '4_6', '5_1', '6_7', '7_1'], 2:['', '1_2', '', '', '4_11', '5_2', '6_7v', '7_3v'], 3:['', '1_1', '', '', '4_3', '5_1', '', '7_2'], 
		4:['', '1_2', '2_2', '', '4_13', '5_2', '', '7_4v', '8_3'], 5:['', '1_1', '2_2', '3_4', '4_5', '5_1', '', '7_1v'], 
		6:['', '1_2', '2_2', '3_4', '4_14', '5_2', '6_7', '7_3'], 7:['', '1_2', '2_2', '3_4', '4_12', '5_2', '6_7v', '7_3v'], 8:['', '1_1', '2_2', '3_4', '4_3', '5_1', '', '7_2'], 
		9:['', '1_2', '2_2', '3_4', '4_12', '5_2', '', '7_3v', '8_4'], 10:['', '1_1', '2_2', '3_4', '4_3', '5_1', '', '7_1'], 
		11:['', '1_1', '2_2', '3_4', '4_1', '5_1', '6_7', '7_1'], 12:['', '1_1', '2_2', '3_4', '4_6', '5_1', '6_7v', '7_1v'], 13:['', '1_1', '2_2', '3_4', '4_3', '5_1', '', '7_1'], 
		14:['', '1_1', '2_2', '3_4v', '4_8', '5_1', '', '7_1v', '8_5'], 15:['', '1_1', '2_2', '3_4v', '4_7', '5_1', '6_7', '7_1v'], 16:['', '1_1', '2_2', '3_4v', '4_4', '5_1', '6_7v', '7_1'], 
		17:['', '1_1', '2_2', '3_4v', '4_3', '5_1', '', '7_1v', '8_6'], 	18:['', '1_1', '2_2', '3_4v', '4_3', '5_1', '', '7_1'], 
		19:['', '1_1', '', '', '4_9', '5_1', '', '7_1v'], 20:['', '1_1', '', '', '4_6', '5_1', '6_8', '7_1'], 21:['', '1_2', '', '', '4_11', '5_2', '6_8v', '7_3v'],
		22:['', '1_2', '', '', '4_13', '5_2', '', '7_3'], 23:['', '1_2', '', '', '4_12', '5_2', '6_8', '7_3v'], 24:['', '1_2', '', '', '4_14', '5_2', '6_8v', '7_3'],
		25:['', '1_2', '', '', '4_14', '5_2', '', '7_3v'], 26:['', '1_2', '', '3_7v', '4_12', '5_2', '6_8', '7_3'], 27:['', '1_2', '', '3_7v', '4_17', '5_2', '6_8v', '7_3v'],
		28:['', '1_2', '', '3_7v', '4_17', '5_2', '', '7_3'], 29:['', '1_2', '', '3_7v', '4_11', '5_2', '6_10', '7_3'], 
		30:['', '1_2', '', '3_5', '4_12', '5_2', '6_11', '7_3v'], 31:['', '1_1', '', '3_5', '4_6', '5_1', '6_11v', '7_1'], 
		32:['', '1_1', '2_3', '3_5', '4_3', '5_1', '6_12', '7_1'], 33:['', '1_1', '2_3', '3_5v', '4_2', '5_1', '6_12v', '7_1'], 
		34:['', '1_1', '2_3', '3_5v', '4_1', '5_1', '6_13', '7_2'], 35:['', '1_1', '2_3', '3_5v', '4_9', '5_1', '6_13v', '7_2'], 36:['', '1_2', '2_1', '3_5v', '4_15', '5_2', '6_14v', '7_4v'], 
		37:['', '1_2', '2_3', '3_5v', '4_18', '5_2', '6_14', '7_4'], 38:['', '1_1', '2_3', '3_5v', '4_8', '5_1', '6_14', '7_2'], 
		//13-sex1 15
		39:['', '1_1', '2_1', '', '4_1', '5_1', '6_2v1', '7_1'], 40:['', '1_1', '2_1', '', '4_6', '5_1', '6_2v1', '7_1'], 
		41:['', '1_1', '2_1', '3_1', '4_3', '5_1', '6_2v1', '7_1'], 42:['', '1_1', '2_1', '3_1', '4_2', '5_1', '6_2v1', '7_1v'], 
		43:['', '1_1', '2_1', '3_1', '4_5', '5_1', '6_2v1', '7_1v'], 44:['', '1_1', '2_1', '3_1', '4_8', '5_1', '6_2v3', '7_1v'], 
	},
	'pic015':{
		0:['', '1_1', '2_3', '3_5', '4_5', '5_1', '6_4', '7_2v'], 1:['', '1_1', '2_3', '3_5', '4_2', '5_1', '6_4v1', '7_2'], 2:['', '1_1', '2_3', '3_5', '4_2', '5_1', '6_4v2', '7_2'], 
		3:['', '1_2', '2_3', '3_5', '4_11', '5_2', '6_5v2', '7_4v'], 4:['', '1_1', '2_3', '3_5', '4_6', '5_1', '6_5v3', '7_2'], 5:['', '1_1', '2_3', '3_5', '4_2', '5_1', '6_6v3', '7_2'], 
		6:['', '1_1', '2_3', '3_5', '4_2', '5_1', '6_6v1', '7_2'], 7:['', '1_2', '2_3', '3_5v', '4_15', '5_2', '6_4v1', '7_4v'], 8:['', '1_1', '2_3', '3_5', '4_8', '5_1', '6_4', '7_2'], 
		9:['', '1_1', '2_3', '3_5', '4_2', '5_1', '6_4v3', '7_2'], 10:['', '1_1', '2_3', '3_5', '4_9', '5_1', '6_5v3', '7_1'], 
		11:['', '1_1', '2_3', '3_5', '4_6', '5_1', '6_5v3', '7_1'], 12:['', '1_1', '2_3', '3_5', '4_2', '5_1', '6_6v3', '7_1'], 13:['', '1_1', '2_3', '3_5', '4_6', '5_1', '6_6', '7_1'], 
		14:['', '1_1', '2_3', '3_5', '4_5', '5_1', '6_6v1', '7_1'], 15:['', '1_2', '2_3', '3_5v', '4_15', '5_2', '6_4v1', '7_3v'], 16:['', '1_1', '2_3', '3_5', '4_8', '5_1', '6_4', '7_1'], 
		//打屁屁
		17:['', '1_2', '2_3', '3_5', '4_11', '5_2', '6_4', '7_3v', '', '9_5'], 18:['', '1_2', '2_3', '3_5', '4_13', '5_2', '6_4', '7_3'], 19:['', '1_2', '2_3', '3_5', '4_15', '5_2', '6_6', '7_3v', '8_3', '9_5'], 
		20:['', '1_2', '2_3', '3_5', '4_13', '5_2', '6_5v3', '7_3', '8_3'], 21:['', '1_2', '2_3', '3_5v', '4_18', '5_2', '6_5v3', '7_3v', '8_3', '9_5v1'], 22:['', '1_2', '2_3', '3_5', '4_11', '5_2', '6_5v3', '7_3', '8_3v2'], 
		23:['', '1_2', '2_3', '3_5', '4_18', '5_2', '6_5v3', '7_3v', '8_3v2', '9_5v1'], 24:['', '1_2', '2_3', '3_5', '4_18', '5_2', '6_5v3', '7_3v', '8_3v2'], 25:['', '1_2', '2_3', '3_5', '4_13', '5_2', '6_6v3', '7_3', '8_3v2'], 
		26:['', '1_2', '2_3', '3_5v', '4_18', '5_2', '6_5v3', '7_3v', '8_3v2', '9_5'], 27:['', '1_2', '2_3', '3_5v', '4_18', '5_2', '6_5v3', '7_3v', '8_3v2'], 28:['', '1_2', '2_3', '3_5', '4_11', '5_2', '6_6', '7_3', '8_3v2'], 
		29:['', '1_1', '2_3', '3_5', '4_7', '5_1', '6_7', '7_1', '8_3v2'], 30:['', '1_1', '2_3', '3_5', '4_8', '5_1', '6_8', '7_1', '8_3v2'], 31:['', '1_2', '2_3', '3_5v', '4_18', '5_2', '', '7_3v', '8_3v2'], 
		32:['', '1_1', '2_3', '3_5', '4_7', '5_1', '6_7', '7_1'], 33:['', '1_1', '2_3', '3_5', '4_8', '5_1', '6_8', '7_1'], 34:['', '1_2', '2_3', '3_5v', '4_18', '5_2', '', '7_3v'], 
		//亡灵前、后洞
		35:['', '1_1', '2_1', '', '4_9', '5_1', '', '7_1', '', 'u8_1'], 36:['', '1_1', '2_2', '', '4_9', '5_1', '', '7_1', '', 'u9_1'], 
		37:['', '1_2', '2_1', '', '4_12', '5_2', '', '7_3v', '', 'u8_1'], 38:['', '1_2', '2_2', '', '4_12', '5_2', '', '7_3v', '', 'u9_1'], 
		39:['', '1_1', '2_1', '', '4_1', '5_1', '', '7_1', '', 'u8_1'], 40:['', '1_1', '2_2', '', '4_1', '5_1', '', '7_1', '', 'u9_1'], 
		41:['', '1_1', '2_1', '', '4_6v', '5_1', '', '7_1', '', 'u8_1'], 42:['', '1_1', '2_2', '', '4_6v', '5_1', '', '7_1', '', 'u9_1'], 
		43:['', '1_2', '2_1', '', '4_13', '5_2', '', '7_3v', '', 'u8_1'], 44:['', '1_2', '2_2', '', '4_13', '5_2', '', '7_3v', '', 'u9_1'], 
		45:['', '1_2', '2_1', '', '4_12', '5_2', '', '7_3', '', 'u8_1'], 46:['', '1_2', '2_2', '', '4_12', '5_2', '', '7_3', '', 'u9_1'], 
		47:['', '1_2', '2_1', '', '4_17', '5_2', '', '7_3v', '', 'u8_1'], 48:['', '1_2', '2_2', '', '4_17', '5_2', '', '7_3v', '', 'u9_1'], 
		49:['', '1_2', '2_1', '', '4_18', '5_2', '', '7_3v', '', 'u8_1'], 50:['', '1_2', '2_2', '', '4_18', '5_2', '', '7_3v', '', 'u9_1'], 
		51:['', '1_1', '2_1', '', '4_7', '5_1', '', '7_1', '', 'u8_1'], 52:['', '1_1', '2_2', '', '4_7', '5_1', '', '7_1', '', 'u9_1'], 
		53:['', '1_1', '2_1', '', '4_8', '5_1', '', '7_1v', '', 'u8_1'], 54:['', '1_1', '2_2', '', '4_8', '5_1', '', '7_1v', '', 'u9_1'], 
	},
	'pic016':{
		0:['', '5_1'], 
		1:['', '1_1', '2_1', '', '', '5_1', '6_1'], 2:['', '1_2', '2_2', '', '', '5_1', '6_2'], 3:['', '1_1', '2_1', '', '4_1', '5_1', '6_1', '7_1'], 
		4:['', '1_1v', '2_1', '', '4_1', '5_1', '6_1v', '7_1'], 5:['', '1_2v', '2_1', '', '', '5_1', '6_2v'], 6:['', '1_1v', '2_1', '', '4_2', '5_1', '6_1v', '7_2', '8_1'], 
		7:['', '1_1v', '2_1', '', '4_3', '5_1', '6_1v', '7_3'], 8:['', '1_1v', '2_1', '', '4_4', '5_1', '6_1v', '7_4'], 9:['', '1_2v', '2_1', '', '4_5', '5_1', '6_2v', '7_5'], 
		10:['', '1_1v', '2_1', '', '4_6', '5_1', '6_1v', '7_6'], 11:['', '1_1v', '2_2', '', '', '5_1', '6_1v', '', '8_2'], 
		12:['', '1_1', '2_7', '', '4_7', '', '5_1', '6_1'], 13:['', '1_2', '2_7', '', '4_7', '', '5_1', '6_2'], 14:['', '1_1', '2_7', '', '4_7', '4_1', '5_1', '6_1', '7_1'], 
		15:['', '1_1v', '2_7', '', '4_7', '4_1', '5_1', '6_1v', '7_1'], 16:['', '1_2v', '2_7', '', '4_7', '', '5_1', '6_2v'], 17:['', '1_1v', '2_7', '', '4_7', '4_2', '5_1', '6_1v', '7_2', '8_1'], 
		18:['', '1_1v', '2_1', '', '4_7', '4_3', '5_1', '6_1v', '7_3'], 19:['', '1_1v', '2_7', '', '4_7', '4_4', '5_1', '6_1v', '7_4'], 20:['', '1_2v', '2_7', '', '4_7', '4_5', '5_1', '6_2v', '7_5'], 
		21:['', '1_1v', '2_7', '', '4_6', '5_1', '6_1v', '7_6'], 22:['', '1_1v', '2_7', '', '', '5_1', '6_1v', '', '8_2'], 
	},
	'pic021':{
		0:['', '1_1', '2_1', '3_1a', '', '5_1', '6_1a'], 
		1:['', '1_1', '2_2', '3_1b', '', '5_1', '6_1a', '', '8_1'], 2:['', '1_1', '2_2', '3_1c', '', '5_1', '6_1a', '', '8_2'], 
		3:['', '1_1', '2_2', '3_3b', '4_1', '5_1', '6_1a', '', '8_1a'], 4:['', '1_1', '2_2', '3_3c', '4_1', '5_1', '6_1a', '', '8_2a'], 
		5:['', '1_1', '2_2', '3_7', '4_1', '5_1', '6_2a', '', '8_6'], 6:['', '1_1', '2_2', '3_7', '4_1', '5_1', '6_2a', '', '8_6a'], 7:['', '1_1', '2_2', '3_7', '4_1', '5_1', '6_2a', '', '8_5a'], 
		8:['', '1_1', '2_2', '3_7', '4_3', '5_1', '6_2a', '', '8_6a'], 9:['', '1_1', '2_2', '3_7', '4_3', '5_1', '6_2a', '', '8_5a'], 
		10:['', '1_1', '2_2', '3_7', '4_3', '5_1', '6_2a', '', '8_5a', '9_1'], 11:['', '1_1', '2_2', '3_7', '4_3', '5_1', '6_2a', '', '8_5a', '9_4a'], 
		12:['', '1_1', '2_2', '3_3c', '4_3', '5_1', '6_2a', '', '8_1a', ''], 13:['', '1_1', '2_2', '3_3c', '4_3', '5_1', '6_1a', '', '8_2a'], 
	},
	'pic022':{
		0:['', '1_1', '2_1', '3_5a', '', '5_1', ''], 
		1:['', '1_1', '2_4', '3_5a', '4_1', '5_1', '', '', '8_2'], 2:['', '1_1', '2_4', '3_5c', '4_1', '5_1', '', '', '8_2a'], 
		3:['', '1_1', '2_2', '3_5c', '4_0', '5_1', '', '', '8_1a'], 4:['', '1_1', '2_2', '3_5c', '4_1', '5_1', '', '', '8_1a'], 
		5:['', '1_1', '2_2', '3_7', '4_0', '5_1', '', '', '8_5a'], 6:['', '1_1', '2_2', '3_7', '4_1', '5_1', '', '', '8_5a'], 
		7:['', '1_1', '2_2', '3_7', '4_0', '5_1', '', '', '8_5b'], 8:['', '1_1', '2_2', '3_7', '4_1', '5_1', '', '', '8_5b'], 
		9:['', '1_1', '2_2', '3_7', '4_0', '5_1', '', '', '8_5b', '9_5a'], 10:['', '1_1', '2_2', '3_7', '4_1', '5_1', '', '', '8_5b', '9_5a'], 
		11:['', '1_1', '2_2', '3_5b', '4_0', '5_1', '', '', '8_1a'], 12:['', '1_1', '2_2', '3_5b', '4_1', '5_1', '', '', '8_1a'], 
		13:['', '1_1', '2_2', '3_5c', '4_0', '5_1', '', '', '8_1a'], 14:['', '1_1', '2_2', '3_7a', '4_1', '5_1', '', '', '8_1a'], 
		//长时间H后
		15:['', '1_2', '2_2', '3_7', '4_2', '5_1', '', '7_2', '8_5b', '9_5a'], 16:['', '1_2', '2_2', '3_5c', '4_2', '5_1', '', '7_1', '8_1a', ''], 
		17:['', '1_2', '2_2', '3_5b', '4_2', '5_1', '', '7_1', '8_1a', ''], 
	},
	'pic023':{
		0:['', '1_1a', '2_1', '3_8', '4_3a', '5_2', '6_5a'], 1:['', '1_1a', '2_1', '3_8a', '4_2a', '5_2', '6_5a'],
		2:['', '1_1a', '2_1', '3_8a', '4_2b', '5_2', '6_5a'], 3:['', '1_1a', '2_1', '3_8a', '4_3b', '5_2', '6_5a'], 
		4:['', '1_1b', '2_1', '3_8a', '4_1a', '5_2', '6_5a', '', '8_1'], 5:['', '1_1b', '2_1', '3_8a', '4_2b', '5_2', '6_5a', '', '8_1'], 
		6:['', '1_1b', '2_2', '3_8a', '4_3c', '5_2', '6_5a', '', '8_7'], 7:['', '1_1b', '2_2', '3_8a', '4_2b', '5_2', '6_5a', '', '8_7a'], 
		8:['', '1_1b', '2_2', '3_8a', '4_3a', '5_2', '6_5a', '', '8_7a'], 9:['', '1_1b', '2_2', '3_8a', '4_3c', '5_5', '6_5a', '', '8_7a'], 
		10:['', '1_1b', '2_2', '3_8a', '4_2c', '5_5', '6_5a', '', '8_7a'], 
		11:['', '1_1d', '2_2', '3_8a', '4_2a', '5_2', '6_3b', '', '8_7a'], 12:['', '1_1f', '2_2', '3_8a', '4_3b', '5_2', '6_3b', '', '8_7a'], 
	},
	'pic024':{
		0:['', '1_2', '2_2a', '3_1a', '4_5c', '5_4', '6_5a', '7_5', '8_1a'], 
		1:['', '1_2', '2_2a', '3_2b', '4_5c', '5_4', '6_5a', '7_5', '8_1a'], 2:['', '1_2', '2_2a', '3_1b', '4_5c', '5_4', '6_5a', '7_5', '8_1b'], 
		3:['', '1_2', '2_2a', '3_3a', '4_5c', '5_4', '6_5a', '7_5', '8_1a'], 4:['', '1_2', '2_2a', '3_1c', '4_5c', '5_4', '6_5a', '7_5', '8_1b'], 
		5:['', '1_2', '2_2a', '3_7', '4_5c', '5_4', '6_5a', '7_5', '8_1a', '8_3c'], 6:['', '1_2', '2_2a', '3_7', '4_5c', '5_8', '6_5a', '7_5', '8_1b', '8_4c'], 
	},
	'pic025':{
		0:['', '1_1', '1_3'], 
		1:['', '1_3', '2_1', '3_2v', '4_1', '5_1', '', '7_1', '8_1'], 2:['', '1_3', '2_1', '3_2v', '4_2', '5_1', '', '7_1', '8_2'], 
		3:['', '1_3', '2_1', '3_2v', '4_1', '5_1', '', '7_2', '8_1'], 4:['', '1_3', '2_1', '3_2v', '4_2', '5_1', '', '7_2', '8_2'], 
		5:['', '1_3', '2_1', '3_2v', '4_1', '5_1', '', '7_11', '8_1'], 6:['', '1_3', '2_1', '3_2v', '4_2', '5_1', '', '7_11', '8_2'], 
		7:['', '1_3', '2_1', '3_2v', '4_1h', '5_1', '', '7_11', '8_1'], 8:['', '1_3', '2_1', '3_2v', '4_2h', '5_1', '', '7_11', '8_2'], 
		9:['', '1_3', '2_1', '3_2v', '4_1h', '5_1', '', '7_3', '8_1'], 10:['', '1_3', '2_1', '3_2v', '4_2h', '5_1', '', '7_3', '8_2'], 
		11:['', '1_3', '2_3', '3_5v', '4_1h', '5_1', '', '7_9', '8_4'], 12:['', '1_3', '2_1', '3_5v', '4_3h', '5_1', '', '7_9', '8_2'], 
		13:['', '1_3', '2_1', '3_2v', '4_1h', '5_1', '', '7_5', '8_4'], 14:['', '1_3', '2_1', '3_2v', '4_3h', '5_1', '', '7_5', '8_2'], 
		15:['', '1_3', '2_1', '3_2v', '4_1h', '5_1', '', '7_6', '8_4'], 16:['', '1_3', '2_1', '3_2v', '4_3h', '5_1', '', '7_6', '8_2'], 
		17:['', '1_3', '2_3', '3_5v', '4_1h', '5_1', '', '7_9', '8_4', '9_0'], 18:['', '1_3', '2_1', '3_5v', '4_3h', '5_1', '', '7_9', '8_2', '9_0'], 
		19:['', '1_2', '2_1', '3_4h', '4_4', '5_1', '6_4', '7_11'], 20:['', '1_2', '2_1', '3_4h', '4_4', '5_1', '6_4', '7_1'], 
		21:['', '1_2', '2_1', '3_4h', '4_4', '5_1', '6_4', '7_2'], 22:['', '1_2', '2_1', '3_1h', '', '', '6_2', '7_11'], 
		23:['', '1_2', '2_1', '3_1h', '', '', '6_1', '7_1'], 24:['', '1_2', '2_1', '3_1h', '', '', '6_1', '7_3'], 
		25:['', '1_2', '2_1', '3_1h', '', '', '6_1', '7_4'], 26:['', '1_2', '2_1', '3_2h', '4_4', '5_1', '6_4', '7_2'],		
		27:['', '1_2', '2_1', '3_2h', '4_4', '5_1', '6_4', '7_4', '', '9_1a'], 
		//M腿
		28:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_2', '8_3', '9_1a'], 
		29:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_4', '8_3'], 30:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_2', '8_3'], 
		31:['', '1_4', '2_2', '3_2h', '4_1h', '5_1', '6_4', '7_2', '8_1'], 32:['', '1_4', '2_2', '3_2h', '4_1h', '5_1', '6_4', '7_11', '8_1'], 
		33:['', '1_4', '2_4', '3_5h', '4_1h', '5_1', '6_5', '7_9', '8_1', '9_0'], 34:['', '1_4', '2_4', '3_5h', '4_1h', '5_1', '6_5', '7_9', '8_4'], 
		35:['', '1_4', '2_2', '3_2h', '4_1h', '5_1', '6_4', '7_3', '8_4'], 
		//V腿
		36:['', '1_4', '2_2', '3_3h', '4_1h', '', '6_3', '7_11', '8_4'], 37:['', '1_4', '2_2', '3_3h', '4_1h', '', '6_3', '7_2', '8_4'], 
		38:['', '1_4', '2_2', '3_3h', '4_1h', '', '6_3', '7_3', '8_4'], 39:['', '1_4', '2_2', '3_3h', '4_1h', '', '6_3', '7_4', '8_4'], 
		40:['', '1_4', '2_2', '3_3h', '4_1h', '', '6_3', '7_5', '8_4'], 41:['', '1_4', '2_2', '3_3h', '4_1h', '', '6_3', '7_6', '8_4'], 
		42:['', '1_4', '2_4', '3_6h', '4_1h', '5_1', '6_6', '7_9', '8_4', '9_0'], 43:['', '1_2', '2_1', '3_3h', '4_1h', '5_1', '6_3', '7_4'], 
		//腿入膝盖
		44:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_11', '8_5v'], 45:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_2', '8_5v'], 
		46:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_4', '8_5v'], 47:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_1', '8_5v'], 
		//M腿侧头
		48:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_12', '8_3', '9_1a'], 49:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_8', '8_3', '9_1a'], 
		50:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_12', '8_3', '9_1'], 51:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_13', '8_3', '9_1'], 
		52:['', '1_4', '2_2', '3_2h', '4_1h', '5_1', '6_4', '7_13', '8_1', '9_1'], 53:['', '1_4', '2_2', '3_2h', '4_1h', '5_1', '6_4', '7_8', '8_1', '9_1'], 
		54:['', '1_4', '2_2', '3_2h', '4_1h', '5_1', '6_4', '7_13', '8_1', '9_0a'], 
		//V腿侧头
		55:['', '1_4', '2_2', '3_3h', '4_1h', '5_1', '6_3', '7_8', '8_1', '9_1'], 56:['', '1_4', '2_2', '3_3h', '4_1h', '5_1', '6_3', '7_13', '8_1', '9_0a'], 
		57:['', '1_2', '2_1', '3_3h', '4_4', '5_1', '6_3', '7_13', '', '9_1'], 
		//腿入膝盖
		58:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_3', '8_5v'], 59:['', '1_4', '2_2', '3_2h', '4_4', '5_1', '6_4', '7_8', '8_3'], 
		//V腿侧头3P
		60:['', '1_4', '2_2', '3_2h', '4_3h', '5_1', '6_4', '7_13', '8_2', '9_8'], 61:['', '1_4', '2_2', '3_2h', '4_3h', '5_1', '6_4', '7_8', '8_2', '9_8'], 
		62:['', '1_4', '2_2', '3_2h', '4_3h', '5_1', '6_4', '7_13', '8_2', '9_8'], 63:['', '1_4', '2_2', '3_2h', '4_3h', '5_1', '6_4', '7_8', '8_2v', '9_8'],
		64:['', '1_4', '2_2', '3_2h', '4_3h', '5_1', '6_4', '7_8', '8_2', '9_9'], 65:['', '1_4', '2_2', '3_2h', '4_3h', '5_1', '6_4', '7_13', '8_2v', '9_9'],
		66:['', '1_4', '2_2', '3_4h', '4_3h', '5_1', '6_4', '7_8', '8_4v', '9_9av'], 67:['', '1_4', '2_2', '3_4h', '4_3h', '5_1', '6_4', '7_13', '8_1v', '9_9av'],
		68:['', '1_4', '2_2', '3_4h', '4_3h', '5_1', '6_4', '7_13', '8_4v', '9_8av'], 69:['', '1_4', '2_2', '3_4h', '4_3h', '5_1', '6_4', '7_8', '8_1v', '9_8av'],
		//V腿侧头亡灵切换
		70:['', '1_2', '2_1', '3_4h', '4_4', '5_1', '6_4', '7_13', '', '9_1'], 	
		//独自V坐
		71:['', '1_2', '2_1', '3_3h', '', '5_1', '6_3', '7_3'], 72:['', '1_2', '2_1', '3_3h', '', '5_1', '6_3', '7_1'], 
		73:['', '1_2', '2_1', '3_3h', '', '5_1', '6_3', '7_2'], 74:['', '1_2', '2_1', '3_3h', '', '5_1', '6_3', '7_11'], 
		//4种王座单亡灵H
		75:['', '1_2', '2_1', '3_2h', '4_1', '5_1', '6_4', '7_2', '', '9_4'], 76:['', '1_2', '2_3', '3_5h', '4_1', '5_1', '6_5', '7_9', '9_0', '9_4'],
		77:['', '1_1', '2_1', '3_4h', '4_1h', '5_1', '6_4', '7_3', '', '9_5'], 78:['', '1_1', '2_3', '3_7h', '4_1h', '5_1', '6_5', '7_9', '9_0', '9_5'],
		79:['', '1_1', '2_1', '3_3h', '4_1h', '5_1', '6_3', '7_11', '', '9_5av'], 80:['', '1_1', '2_3', '3_4h', '4_1h', '5_1', '6_6', '7_9', '9_0', '9_5av'],
		81:['', '1_1', '2_3', '3_3h', '4_1h', '5_1', '6_3', '7_9', '', '9_4av'], 82:['', '1_1', '2_3', '3_4h', '4_1h', '5_1', '6_6', '7_9', '9_0', '9_4av'],
		83:['', '1_1', '2_1', '3_4h', '4_4', '5_1', '6_4', '7_4', '', ''],
		//亡灵结局用
		84:['', '1_2', '2_1', '3_1h', '4_4', '', '6_1', '7_4', '', '9_10'], 
		85:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_1', '8_7', '9_10'], 86:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_3', '8_7', '9_10'], 
		87:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_4', '8_7', '9_10'], 88:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_2', '8_7', '9_10'], 
		89:['', '1_3', '2_4', '3_5v', '4_1h', '5_1', '6_5', '7_9', '8_8', '9_10'], 90:['', '1_4', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_4', '8_7', '9_10'], 
		91:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_5', '8_7', '9_10'], 92:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_6', '8_7', '9_10'], 
		93:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_11', '8_7', '9_10'], 94:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_10', '8_7', '9_10'],
		 
		95:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_3', '8_7', '8_9', '9_10'],
		96:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_1', '8_7s', '9_10'], 97:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_3', '8_7s', '9_10'], 
		98:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_4', '8_7s', '9_10'], 99:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_2', '8_7s', '9_10'], 
		100:['', '1_3', '2_2', '3_2v', '4_1h', '5_1', '6_4', '7_11', '8_7s', '9_10'], 
		101:['', '1_1a', '2_2', '3_2v', '4_3h', '5_1', '6_4', '7_4', '8_4s', '9_10a'], 102:['', '1_1a', '2_2', '3_2v', '4_3h', '5_1', '6_4', '7_2', '8_1s', '9_10a'], 
		103:['', '1_1', '2_1', '3_1h', '4_4', '', '6_1', '7_11', '8_9', '9_10'], 
		
		//亡灵结局2用
		105:['', '1_3', '2_2', '3_9v', '4_5', '8_1g', '', '', '9_10'], 
		106:['', '1_3', '2_4', '3_9v', '4_5', '8_1g', '9_0', '', '9_10'], 107:['', '1_4', '2_2', '3_9v', '4_5', '8_1g', '', '', '9_10'], 
		108:['', '1_3', '2_2', '3_9v', '4_5', '8_1g', '', '', '', '8_9', '9_10'],
		109:['', '1_1a', '2_2', '3_9v', '4_7', '8_2g', '', '', '8_9', '9_10a'], 110:['', '1_1a', '2_2', '3_9v', '4_7', '8_2g', '9_0', '', '8_9', '9_10a'], 
		111:['', '1_1', '2_1', '3_8v', '', '', '', '', , '8_9', '9_10'], 

	},
	'pic026':{
		0:['', '1_1', '2_1', '3_1', '4_3', '5_1', '6_1', '7_1', '', '9_1'], 1:['', '1_1', '2_1', '3_1', '4_3', '5_1', '6_1', '7_2', '', '9_1'], 
		2:['', '1_1', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_3', '', '9_1'], 3:['', '1_1', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_4', '', '9_1'], 
		4:['', '1_1', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_5', '', '9_1'], 5:['', '1_1a', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_6', '8_2', '9_1a'], 
		6:['', '1_1a', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_11', '8_2', '9_1a'], 7:['', '1_e', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_11', '8_2', '9_e'],
		8:['', '1_1', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_3', '8_1', '9_1'], 9:['', '1_1', '2_2', '3_2', '4_3h', '5_1', '6_1', '7_9', '8_3', '9_1'], 
		10:['', '1_1a', '2_1', '3_1', '4_3h', '5_1', '6_1', '7_6', '8_3', '9_1a'], 11:['', '1_1a', '2_2', '3_2', '4_3h', '5_1', '6_1', '7_9', '8_3', '9_1a'], 
		
	},	
	'pic027':{
		0:['', '1_1', '', '', '4_1', '5_6', '6_1', '7_1', '8_1'],
		//亡灵		
		1:['', '1_1', '2_2', '3_3', '4_1', '5_6', '6_1', '7_1', '8_1'], 2:['', '1_1', '2_2', '3_3', '4_1', '5_1', '6_1', '7_1', '8_1'], 
		3:['', '1_1', '2_2', '3_3', '4_1', '5_3', '6_1', '7_1', '8_1'], 4:['', '1_1', '2_3', '3_3', '4_1', '5_2', '6_1', '7_1', '8_1', '9_5'], 
		//交替
		5:['', '1_1', '2_3', '3_3', '4_1', '5_3', '6_1', '7_1', '8_1', '9_5'], 6:['', '1_1', '2_3', '3_3', '4_2', '5_3a', '6_1', '7_1', '8_1', '9_5'], 
		7:['', '1_1', '2_3', '3_3', '4_1', '5_4', '6_1', '7_1', '8_1', '9_5'], 8:['', '1_1', '2_3', '3_3', '4_2', '5_4a', '6_1', '7_1', '8_1', '9_5'], 
		9:['', '1_1', '2_3', '3_3', '4_1', '5_5', '6_1', '7_1', '8_1', '9_5'], 10:['', '1_1', '2_3', '3_3', '4_2', '5_5a', '6_1', '7_1', '8_1', '9_5'], 
		//爆发
		11:['', '1_1', '2_3', '3_3', '4_2n', '5_3', '6_1', '7_1', '8_1', '9_5'], 12:['', '1_1', '2_3', '3_3', '4_2v', '5_4a', '6_1', '7_1', '8_1', '9_5'], 
		//结束
		13:['', '1_1', '2_3', '3_3', '4_1v', '5_4', '6_1', '7_1', '8_1', '9_5'], 14:['', '1_1', '', '', '4_1', '5_4', '6_1', '7_1', '8_1', ''], 
		15:['', '1_1', '2_3', '3_3', '4_1v', '5_5', '6_1', '7_1', '8_1', '9_5'], 16:['', '1_1', '', '', '4_1', '5_5', '6_1', '7_1', '8_1', ''], 
		17:['', '1_1', '2_3', '3_3', '4_1v', '5_4a', '6_1', '7_1', '8_1', '9_5'], 18:['', '1_1', '', '', '4_1', '5_1a', '6_1', '7_1', '8_1', ''], 
		19:['', '1_1', '2_3', '3_3', '4_1v', '5_6a', '6_1', '7_1', '8_1', '9_5'], 20:['', '1_1', '2_3', '3_3', '4_1n', '5_5a', '6_1', '7_1', '8_1', '9_5'], 
		21:['', '1_1', '2_3', '3_3', '4_1n', '5_6a', '6_1', '7_1', '8_1', '9_5'], 
	},
};